# DeleteGLAccount

Delete the GL account associated with the given company ID and GL account ID

`DELETE /api/v2/companies/{companyid}/glaccounts/{glaccountid}`

**API:** AvaTax API
**Tag:** GLAccount
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/GLAccount/DeleteGLAccount/

## Description

Deletes the GL account associated with the specified `glaccountid` and `companyid`

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyid` | integer | path | Yes | The ID of the company that owns this GL account object |
| `glaccountid` | integer | path | Yes | The primary key of this GL account |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `TaxProfileErrorResponseModel` |
| 400 | Bad Request | `TaxProfileErrorResponseModel` |
| 401 | Unauthorized | `TaxProfileErrorResponseModel` |
| 403 | Forbidden | `TaxProfileErrorResponseModel` |
| 404 | Not Found | `TaxProfileErrorResponseModel` |

### 200 Response: `TaxProfileErrorResponseModel`

Info model for Problem Detail

| Property | Type | Required | Description |
|---|---|---|---|
| `title` | string | No | Title |
| `status` | string | No | Status |
| `detail` | string | No | Detail |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyid}/glaccounts/{glaccountid}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```